
QGIS Application - Bug report #5633

Memory Layers Attribute Table do not display the data

2012-05-24 02:18 AM - Roberto BobMaX

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: all Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 15200

Description

On Windows and Linux, QGis Attribute data panel do not display the fields and records of Memory Layers.

To debug it, you can use QGisSRTM plugin and TableManager plugin (that instead displays data correctly).

On MacOSX, it works.

Related issues:

Related to QGIS Application - Bug report # 4687: memory vector layer does not... Closed 2011-12-21

History

#1 - 2012-09-04 11:51 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 2.0.0

#2 - 2012-10-05 06:02 AM - Alexander Bruy

- Category set to Data Provider

- Operating System changed from Windows Linux to all

Probably related to #4687

#3 - 2012-12-30 09:51 AM - Giovanni Manghi

- Priority changed from High to Normal

#4 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#5 - 2014-09-03 02:03 AM - Médéric RIBREUX

Hello,

I can report that showing attributes of an in-memory layer works well under QGis 2.4 (at least on MS-Windows).

I can see every attribute with no errors even those that has been freshly edited.

If nobody can confirm the bug, I think that we should close it...

#6 - 2015-12-07 07:17 AM - Médéric RIBREUX

- Resolution set to fixed/implemented
- Status changed from Open to Closed

- % Done changed from 0 to 100

Ok, bug triage...

I am closing this one ! The new scratch memory layer type doesn't have this problem anymore...
